---
title: MediaStreamAudioDestinationNode.MediaStreamAudioDestinationNode()
slug: Web/API/MediaStreamAudioDestinationNode/MediaStreamAudioDestinationNode
tags:
  - API
  - Audio
  - Constructor
  - MediaStreamAudioDestinationNode
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>MediaStreamAudioDestinationNode()</strong></code> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("MediaStreamAudioDestinationNode")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myAudioDest = new MediaStreamAudioDestinationNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><em>context</em></dt>
 <dd>An {{domxref("AudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><em>options {{optional_inline}}</em></dt>
 <dd>An <code><a href="https://webaudio.github.io/web-audio-api/#dictionary-audionodeoptions-members">AudioNodeOptions</a></code> dictionary object defining the properties you want the <code>MediaStreamAudioDestinationNode</code> to have.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("MediaStreamAudioDestinationNode")}} object instance.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var ac = new AudioContext();

var myDestination = new MediaStreamAudioDestinationNode(<em>ac</em>);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#mediastreamaudiodestinationnode','MediaStreamAudioDestinationNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamAudioDestinationNode.MediaStreamAudioDestinationNode")}}</p>
